<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Hinzufügen -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>SmartBooks</title>

    <!-- Hinzufügen -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="/css/basic.css">
</head>
<body>
<section class="navigation">
    <nav>
       <a href="/"><img id="logo" src="/img/logo.png"></a>
        <ul>
            <li><a href="/search">Suche</a></li>
            <li><a href="/impressum">Impressum</a></li>
        </ul>
    </nav>
</section>
<section class="image">
    <img id="title" src="/img/smart.png">
</section>
<section class="content" >
    <article class="buyMessage" th:each="PlattformItem : ${info}">
        <h2>Herzlichen Dank für Ihren Einkauf</h2>
        <p>Bitte melden Sie sich bei (<b th:text="${PlattformItem.getBenutzerItem().getBenutzerName()}">Benutzername</b> , <b th:text="${PlattformItem.getBenutzerItem().getEmail()}"></b>), um die Übergabe des Buches zu vereinbaren: </p>
        <b>Titel:</b>
        <p th:text="${PlattformItem.getBuchItem().getTitel()}">BuchTitel</p>
        <b>ISBN:</b>
        <p th:text="${PlattformItem.getBuchItem().getISBN()}">ISBN</p>
        <b>Preis: </b>
        <p th:text="${#numbers.formatDecimal(PlattformItem.getBuchItem().getPreis(), 0, 'COMMA', 2, 'POINT')} + ' CHF'"></p>

    </article>
    <form action="/book/search" class="search" name="search" method="post" th:object="${PlattformItem}">
        <input type="hidden" name="PlattformItem.id" th:value="${itemID != null} ? ${itemId} : 'null'" />
        <div class="createInputField">
            <label>Hochschule:</label>
            <select class="form-control" name="PlattformItem.hochschule">
                <option value="">Hochschule</option>
                <option th:each="HSItem : ${hs}"
                        th:value="${HSItem}"
                        th:text="${HSItem}"></option>
            </select>
        </div>
        <div class="createInputField">
            <label>Studiengang:</label>
            <select class="form-control" name="PlattformItem.studiengang">
                <option value="">Studiengang</option>
                <option th:each="SGItem : ${sg}"
                        th:value="${SGItem}"
                        th:text="${SGItem}"></option>
            </select>
        </div>
        <input type="submit" id="submit" value="Filter"/>
    </form>
    <article class="bookItem" th:each="PlattformItem : ${list}">
        <a th:href="${'/detail?id=' + PlattformItem.getItemID()}"> <h2 th:text="${PlattformItem.getBuchItem().getTitel()}">BuchTitel</h2></a>
        <b>ISBN:</b>
        <p th:text="${PlattformItem.getBuchItem().getISBN()}">ISBN</p>
        <b>Preis: </b>
        <p th:text="${#numbers.formatCurrency(PlattformItem.getBuchItem().getPreis())}"></p>
        <b>Hochschule: </b>
        <p th:text="${PlattformItem.getHsItem().getHsName()}">99</p>
        <b>Autor: </b>
        <p th:text="${PlattformItem.getBuchItem().getAuthor()}">Ding 1</p>
        <a class="buy" th:href="${'/buy?id=' + PlattformItem.getItemID()}">Kaufen</a>
    </article>
</section>
<section class="footer">
    <ul>
        <li><a href="/book/new">Buch erstellen</a></li>
    </ul>
</section>
<script>
window.addEventListener("scroll", function(e){
    var scrollTop = window.pageYOffset
    var html = document.getElementById('title');

    var op = 1 - scrollTop/200;

    html.style.opacity = op;
});
</script>

</body>
</html>